ppc64le build-artifacts/check-merged job failing in "mock init"

Description

The ppc64le build artifacts jobs fail now in "mock init". Looks like
an environmental issue.

Here are few failing builds:
https://jenkins.ovirt.org/job/ovirt-imageio_standard-check-patch/2574/
https://jenkins.ovirt.org/job/ovirt-imageio_standard-check-patch/2573/
https://jenkins.ovirt.org/job/ovirt-imageio_standard-on-merge/573/

This seems to be the last successful build, 4 days ago:
https://jenkins.ovirt.org/job/ovirt-imageio_standard-on-merge/563/


[2020-04-04T19:28:16.332Z] + ../jenkins/mock_configs/mock_runner.sh
--execute-script automation/build-artifacts.py3.sh --mock-confs-dir
../jenkins/mock_configs --secrets-file
/home/jenkins/workspace/ovirt-imageio_standard-check-patch/std_ci_secrets.yaml
--try-proxy --timeout-duration 10800 --try-mirrors
http://mirrors.phx.ovirt.org/repos/yum/all_latest.json 'el8.*ppc64le'

[2020-04-04T19:28:16.332Z]
##########################################################

[2020-04-04T19:28:16.332Z]
##########################################################

[2020-04-04T19:28:16.332Z] ## Sat Apr 4 19:28:16 UTC 2020 Running
env: el8:epel-8-ppc64le

[2020-04-04T19:28:16.332Z]
##########################################################

[2020-04-04T19:28:16.332Z]
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

[2020-04-04T19:28:16.332Z] @@ Sat Apr 4 19:28:16 UTC 2020 Running
chroot for script: automation/build-artifacts.py3.sh

[2020-04-04T19:28:16.332Z]
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

[2020-04-04T19:28:16.599Z] Using base mock conf
../jenkins/mock_configs/epel-8-ppc64le.cfg

[2020-04-04T19:28:16.599Z] WARN: Unable to find req file
automation/build-artifacts.py3.req or
automation/build-artifacts.py3.req.el8, skipping req

[2020-04-04T19:28:16.599Z] Using proxified config
../jenkins/mock_configs/epel-8-ppc64le_proxied.cfg

[2020-04-04T19:28:16.599Z] Generating temporary mock conf
/home/jenkins/workspace/ovirt-imageio_standard-check-patch/ovirt-imageio/mocker-epel-8-ppc64le.el8

[2020-04-04T19:28:16.599Z] Skipping mount points

[2020-04-04T19:28:16.599Z] WARN: Unable to find repos file
automation/build-artifacts.py3.repos or
automation/build-artifacts.py3.repos.el8, skipping repos

[2020-04-04T19:28:16.599Z] Using chroot cache =
/var/cache/mock/epel-8-ppc64le-ef003ab0662b9b04a2143d179b949705

[2020-04-04T19:28:16.599Z] Using chroot dir =
/var/lib/mock/epel-8-ppc64le-ef003ab0662b9b04a2143d179b949705-15351

[2020-04-04T19:28:16.599Z] Skipping environment variables

[2020-04-04T19:28:16.599Z] ========== Initializing chroot

[2020-04-04T19:28:16.599Z] mock \

[2020-04-04T19:28:16.599Z] --old-chroot \

[2020-04-04T19:28:16.599Z]
--configdir="/home/jenkins/workspace/ovirt-imageio_standard-check-patch/ovirt-imageio"
\

[2020-04-04T19:28:16.599Z] --root="mocker-epel-8-ppc64le.el8" \

[2020-04-04T19:28:16.599Z] --resultdir="/tmp/mock_logs.FrjZTOEI/init" \

[2020-04-04T19:28:16.599Z] --init

[2020-04-04T19:28:17.186Z] WARNING: Could not find required logging
config file: /home/jenkins/workspace/ovirt-imageio_standard-check-patch/ovirt-imageio/logging.ini.
Using default...

[2020-04-04T19:28:17.186Z] INFO: mock.py version 1.4.21 starting
(python version = 3.6.8)...

[2020-04-04T19:28:17.186Z] Start(bootstrap): init plugins

[2020-04-04T19:28:17.186Z] INFO: selinux enabled

[2020-04-04T19:28:17.845Z] Finish(bootstrap): init plugins

[2020-04-04T19:28:17.845Z] Start: init plugins

[2020-04-04T19:28:17.845Z] INFO: selinux enabled

[2020-04-04T19:28:17.845Z] Finish: init plugins

[2020-04-04T19:28:17.845Z] INFO: Signal handler active

[2020-04-04T19:28:17.845Z] Start: run

[2020-04-04T19:28:17.845Z] Start: clean chroot

[2020-04-04T19:28:17.845Z] Finish: clean chroot

[2020-04-04T19:28:17.845Z] Start(bootstrap): chroot init

[2020-04-04T19:28:17.845Z] INFO: calling preinit hooks

[2020-04-04T19:28:17.845Z] INFO: enabled root cache

[2020-04-04T19:28:17.846Z] INFO: enabled dnf cache

[2020-04-04T19:28:17.846Z] Start(bootstrap): cleaning dnf metadata

[2020-04-04T19:28:17.846Z] Finish(bootstrap): cleaning dnf metadata

[2020-04-04T19:28:17.846Z] INFO: enabled HW Info plugin

[2020-04-04T19:28:17.846Z] Mock Version: 1.4.21

[2020-04-04T19:28:17.846Z] INFO: Mock Version: 1.4.21

[2020-04-04T19:28:18.119Z] Start(bootstrap): yum install

[2020-04-04T19:28:23.477Z] ERROR: Command failed:

[2020-04-04T19:28:23.477Z] # /usr/bin/yum --installroot
/var/lib/mock/epel-8-ppc64le-ef003ab0662b9b04a2143d179b949705-bootstrap-15351/root/
--releasever 8 install dnf dnf-plugins-core distribution-gpg-keys
--setopt=tsflags=nocontexts

[2020-04-04T19:28:23.477Z] Failed to set locale, defaulting to C

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: /usr/libexec/platform-python

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-gpg

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-libdnf >= 0.35.1-9

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-rpm >= 4.14.0

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-hawkey >= 0.35.1-9

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-plugins-core-4.0.8-3.el8.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-hawkey >= 0.34.0

[2020-04-04T19:28:23.477Z] Error: Package: dnf-4.2.7-7.el8_1.noarch
(centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: /bin/sh

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-libdnf

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-plugins-core-4.0.8-3.el8.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python(abi) = 3.6

[2020-04-04T19:28:23.477Z] Available:
python2-2.7.16-12.module_el8.1.0+219+cf9e6ac9.ppc64le
(centos-appstream-el8)

[2020-04-04T19:28:23.477Z] python(abi) = 2.7

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: libmodulemd >= 1.4.0

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python3-libcomps >= 0.1.8

[2020-04-04T19:28:23.477Z] Error: Package:
python3-dnf-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python(abi) = 3.6

[2020-04-04T19:28:23.477Z] Available:
python2-2.7.16-12.module_el8.1.0+219+cf9e6ac9.ppc64le
(centos-appstream-el8)

[2020-04-04T19:28:23.477Z] python(abi) = 2.7

[2020-04-04T19:28:23.477Z] Error: Package:
python3-six-1.11.0-8.el8.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python(abi) = 3.6

[2020-04-04T19:28:23.477Z] Available:
python2-2.7.16-12.module_el8.1.0+219+cf9e6ac9.ppc64le
(centos-appstream-el8)

[2020-04-04T19:28:23.477Z] python(abi) = 2.7

[2020-04-04T19:28:23.477Z] Error: Package:
dnf-data-4.2.7-7.el8_1.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: libreport-filesystem

[2020-04-04T19:28:23.477Z] Error: Package:
1ython3-dateutil-2.6.1-6.el8.noarch (centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: python(abi) = 3.6

[2020-04-04T19:28:23.477Z] Available:
python2-2.7.16-12.module_el8.1.0+219+cf9e6ac9.ppc64le
(centos-appstream-el8)

[2020-04-04T19:28:23.477Z] python(abi) = 2.7

[2020-04-04T19:28:23.477Z] Error: Package: dnf-4.2.7-7.el8_1.noarch
(centos-base-el8)

[2020-04-04T19:28:23.477Z] Requires: systemd

[2020-04-04T19:28:23.477Z] You could try using --skip-broken to work
around the problem

[2020-04-04T19:28:23.477Z] You could try running: rpm -Va --nofiles --nodigest

Assignee

Evgheni Dereveanchin

Reporter

Nir Soffer

Blocked By

None

Priority

Medium
Configure